Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Wed, 19 Apr 2023 17:17:48 +0100

On Wed, Apr 19, 2023 at 5:01 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Wed, 19 Apr 2023 15:04:30 +0100
> > Cc: [email-masked], [email-masked], [email-masked],
> >       [email-masked], [email-masked], [email-masked]
> >
> > On Wed, Apr 19, 2023 at 2:35 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > > My interpretation of option 2 is that we get a newer Eglot (1.14 or
> > > 1.15, whichever you decide is stable enough) with various minor
> > > fallbacks intended to work around the fact that dependency packages
> > > are not necessarily at their versions for which Eglot 1.14/1.15 was
> > > designed to work, if the versions of those dependencies in Emacs 29.1
> > > are older.
> >
> > Why put ourselves (mostly myself) through these chores??
>
> Because I thought we agreed that requiring newer versions of other
> packages where that could be avoided (note: "could be avoided", not
> "is nice to have") is a Good Thing, and is well worth these chores.
> But if you don't agree, fine; just one more disagreement between us.

I gave plenty of arguments (which you didn't contest) for why doing
this is a very bad thing (in my opinion of course).  If your utmost priority
is to not require newer versions of other packages, then 1.12.29 should be
just fine!  It will work without an internet connection.  And it will be much
more consistent and well tested than Frankenglot 1.1x, because it will
go through the pretest period.

> > Just so that two weeks later after whatever Emacs 29 is officially
> > released a more recent, "stable" version is already available?
>
> No, just so users of Emacs 29 could have a better Eglot without any
> complications.

It wouldn't be better.  It would be a different thing, a maintenance
nightmare for one.  What if the user then _did_ explicitly install of
those dependencies?  Installing a package and its dependencies isn't a
complication, it's how it has worked for years.  _You've_ decided it is
a complication (and made it more complicated) for Eglot Emacs 29. But
people have been doing it for years.

João